{
  programs.bash = {
    enable = true;
    enableCompletion = true;
    shellAliases = {
      grep = "grep --color=auto";
      ip = "ip -c=auto";
      la = "ls -aF --color=auto";
      ll = "ls -alF --color=auto";
      lock = "xscreensaver-command -lock";
      nix-list-derivations = "nix-store --query --requisites /run/current-system | cut -d- -f2- | sort | uniq";
      nix-list-generations = "nixos-rebuild list-generations";
      zgrep = "zgrep --color=auto";
    };
  };
}
